GET /katello/api/content_view_filters
200
{
"total": 1,
"subtotal": 1,
"selectable": 1,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": "name",
"order": "asc"
},
"results": [
{
"inclusion": false,
"id": 696247676,
"name": "Simple Filter",
"description": null,
"created_at": "2026-11-12 11:01:00 UTC",
"updated_at": "2026-11-12 11:01:00 UTC",
"content_view": {
"composite": false,
"rolling": false,
"component_ids": [],
"duplicate_repositories_to_publish": [],
"default": false,
"version_count": 2,
"latest_version": "2.0",
"latest_version_id": 111397700,
"auto_publish": false,
"solve_dependencies": false,
"import_only": false,
"generated_for": "none",
"related_cv_count": 0,
"related_composite_cvs": [],
"filtered": true,
"needs_publish": null,
"environment_ids": [
562075838
],
"repository_ids": [
697316289,
367202338
],
"id": 405955044,
"name": "Published LIbrary view",
"label": "published_library_view",
"description": "A content view",
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"created_at": "2026-11-12 11:01:00 UTC",
"updated_at": "2026-11-12 11:01:00 UTC",
"last_task": null,
"latest_version_environments": [
{
"id": 562075838,
"name": "Library",
"label": "library_label"
}
],
"repositories": [
{
"id": 697316289,
"name": "Debian 10 amd64",
"label": "debian_10_amd64_label",
"content_type": "deb"
},
{
"id": 367202338,
"name": "Fedora 17 x86_64",
"label": "fedora_17_x86_64_label",
"content_type": "yum"
}
],
"versions": [
{
"id": 531274492,
"version": "1.0",
"published": "2026-11-12 11:01:01 UTC",
"description": "A nice content view version",
"environment_ids": [],
"filters_applied": null,
"published_at_words": "1 minute"
},
{
"id": 111397700,
"version": "2.0",
"published": "2026-11-12 11:01:01 UTC",
"description": "A nice content view version",
"environment_ids": [
562075838
],
"filters_applied": null,
"published_at_words": "1 minute"
}
],
"components": [],
"content_view_components": [],
"activation_keys": [],
"hosts": [],
"hostgroups": [],
"next_version": "3.0",
"last_published": "2026-11-12 11:01:01 UTC",
"environments": [
{
"id": 562075838,
"label": "library_label",
"name": "Library",
"activation_keys": [],
"hosts": [],
"hostgroups": [],
"permissions": {
"readable": true
}
}
]
},
"repositories": [],
"type": "rpm",
"rules": [
{
"content_view_filter_id": 696247676,
"version": "1.0",
"id": 36287325,
"name": "package def",
"created_at": "2026-11-12 11:01:00 UTC",
"updated_at": "2026-11-12 11:01:00 UTC"
},
{
"content_view_filter_id": 696247676,
"id": 345632790,
"name": "one",
"created_at": "2026-11-12 11:01:00 UTC",
"updated_at": "2026-11-12 11:01:00 UTC"
},
{
"content_view_filter_id": 696247676,
"id": 1022052800,
"name": "one",
"created_at": "2026-11-12 11:01:00 UTC",
"updated_at": "2026-11-12 11:01:00 UTC"
}
]
}
]
}
| Param name | Description |
|---|---|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
|
content_view_id
required |
content view identifier Validations:
|
|
name
optional |
filter content view filters by name Validations:
|
|
types
optional |
types of filters Validations:
|
| Field name | Type | Possible values |
|---|---|---|
| content_type | rpm, deb, package_group, erratum, docker, modulemd | |
| inclusion_type | include, exclude | |
| name | string |